package com.gct.tool;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@SpringBootApplication
@EnableFeignClients
@EnableSwagger2
@EnableDiscoveryClient//开启服务注册
@MapperScan("com.gct.tool.mapper*")
public class DataAnalyseToolApplication {

    public static void main(String[] args) {
        SpringApplication.run(DataAnalyseToolApplication.class, args);
    }

}

