package com.gct.tool.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(url = "10.79.32.183:88/dgns-diagnose", name = "diagnosis-client")
public interface DiagnoseClient {

    @GetMapping(value = "/dgns/runDgnsByDateJh")
    String runDgnsByDateJh(@RequestParam Integer semaphore, @RequestParam String beginDateTime, @RequestParam String endDateTime, @RequestParam String jh);
}
